#ifndef korisnik_h
#define korisnik_h

#include "broj.h"
#include "usluge.h"
#include <list>
#include <string>
using namespace std;

class Korisnik {
public:
	Korisnik(const Broj& broj_telefona);
	~Korisnik();

	void evidentirajPoziv(const Broj& broj_ka, int trajanje);
	void evidentirajPoruku(const Broj& broj_ka, const string& tekst);

	void pisi() const;

private:
	Broj broj_telefona_;
	list<Usluga*> usluge_;
};

#endif